import { Show } from 'solid-js';
import config from "../base/config"

import "./itemHead.css"

function itemHead(props) {
    return <div className="subject">
        <div className="subjectTitle">
            <span className="text">{props.title}</span>
            <Show when={!props.noimg}>
                <img src="/src/assets/img/hadIcon.png" className="subjectIcon" />
            </Show>
        </div>
        <div className="subjectSubTitle">{props.subtitle}</div>
    </div>
}

export default itemHead;
